Skip to main content
POST
/
v2
/
request
/
payment-intents
/
{paymentIntentId}
Send a payment intent
curl --request POST \
  --url https://api.request.network/v2/request/payment-intents/{paymentIntentId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "signedPaymentIntent": {
    "signature": "<string>",
    "nonce": "<string>",
    "deadline": "<string>"
  }
}
'
import requests

url = "https://api.request.network/v2/request/payment-intents/{paymentIntentId}"

payload = { "signedPaymentIntent": {
"signature": "<string>",
"nonce": "<string>",
"deadline": "<string>"
} }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
signedPaymentIntent: {signature: '<string>', nonce: '<string>', deadline: '<string>'}
})
};

fetch('https://api.request.network/v2/request/payment-intents/{paymentIntentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Headers

x-api-key
string

API key for authentication (optional if using Client ID)

x-client-id
string

Client ID for frontend authentication (optional if using API key)

Origin
string

Origin header (required for Client ID auth, automatically set by browser)

Path Parameters

paymentIntentId
string
required

The payment intent ID

Example:

"01JNZYZPK7B4YBPD44TM72NDNJ"

Body

application/json
signedPaymentIntent
object
required

The signed payment intent data.

signedApprovalPermit
object

The EIP2612 gasless token approval data that allows Permit2 to access user tokens

Response

Payment intent sent successfully